Расширение Gnome Shell Dash to Panel добавляет интеллектуальное скрытие панели и настройку размеров превью открытых окон

classic Классический list Список threaded Древовидный
6 сообщения Инструменты
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Расширение Gnome Shell Dash to Panel добавляет интеллектуальное скрытие панели и настройку размеров превью открытых окон

Админ
Администратор
Dash to Panel - это системная панель, объединяющая панель задач с системным треем в одну панель, наподобие панели в KDE Plasma или Windows 7+. Я писал об установке данного расширения в статье " Настройка рабочего стола Ubuntu 18.04 с помощью расширений", поэтому не буду повторяться, как его установить.
http://compizomania.blogspot.com/2018/06/gnome-shell-dash-to-panel.html
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Расширение Gnome Shell Dash to Panel добавляет интеллектуальное скрытие панели и настройку размеров превью открытых окон

Andrei
Здравствуйте! А есть расширение, чтобы кнопки окон на нижней панели выглядели традиционно, как в Linux Mint Mate или Cinnamon? В Ubuntu-Gnome до версии 17.10 работало расширение Window list, затем перестало.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Расширение Gnome Shell Dash to Panel добавляет интеллектуальное скрытие панели и настройку размеров превью открытых окон

Максим Пузырев
Andrei написал
В Ubuntu-Gnome до версии 17.10 работало расширение Window list, затем перестало.
На сайте с расширениями написано, что оно работает в 18.04
https://extensions.gnome.org/extension/602/window-list/
Возможно, у Вас оно установилось как-то криво или не той версии.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Расширение Gnome Shell Dash to Panel добавляет интеллектуальное скрытие панели и настройку размеров превью открытых окон

AlexandrS
Максим, прошу меня извинить, что обращаюсь к Вам не по обсуждаемой теме. У меня с недавних пор возникла проблема при установке новых пакетов в дистрибутиве Debian 9, (не зависимо от рабочего стола, будь то Gnome, KDE bkb XFCE) в терминале в процессе установки появляется запись следующего содержания:
 Настраивается пакет samba (2:4.5.12+dfsg-2+deb9u2) …
Failed to preset unit: Unit file /etc/systemd/system/samba-ad-dc.service is masked.
/usr/bin/deb-systemd-helper: error: systemctl preset failed on samba-ad-dc.service: No such file or directory
Job for nmbd.service failed because a timeout was exceeded.
See "systemctl status nmbd.service" and "journalctl -xe" for details.
invoke-rc.d: initscript nmbd, action "start" failed.
● nmbd.service - Samba NMB Daemon
   Loaded: loaded (/lib/systemd/system/nmbd.service; enabled; vendor preset: enabled)
   Active: failed (Result: timeout) since Tue 2018-06-12 21:56:25 MSK; 41ms ago
     Docs: man:nmbd(8)
           man:samba(7)
           man:smb.conf(5)
 Main PID: 8772
   Status: "nmbd: No local IPv4 non-loopback interfaces available, waiting for interface ..."
    Tasks: 0 (limit: 4915)
   CGroup: /system.slice/nmbd.service

июн 12 21:54:55 debian systemd[1]: Starting Samba NMB Daemon...
июн 12 21:54:56 debian systemd[1]: nmbd.service: Supervising process 877…its.
июн 12 21:56:25 debian systemd[1]: nmbd.service: Start operation timed o…ing.
июн 12 21:56:25 debian systemd[1]: nmbd.service: Killing process 8772 (n…ILL.
июн 12 21:56:25 debian systemd[1]: Failed to start Samba NMB Daemon.
июн 12 21:56:25 debian systemd[1]: nmbd.service: Unit entered failed state.
июн 12 21:56:25 debian systemd[1]: nmbd.service: Failed with result 'tim…ut'.
Hint: Some lines were ellipsized, use -l to show in full.
dpkg: ошибка при обработке пакета samba (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 1
dpkg: зависимости пакетов не позволяют настроить пакет qt5-fsarchiver:
 qt5-fsarchiver зависит от samba, однако:
  Пакет samba пока не настроен.

dpkg: ошибка при обработке пакета qt5-fsarchiver (--configure):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для libc-bin (2.24-11+deb9u2) …
При обработке следующих пакетов произошли ошибки:
 samba
 qt5-fsarchiver
E:Sub-process /usr/bin/dpkg returned an error code (1)
В результате чего установка многих пакетов стала практически не возможна. Помогите, если возможно, устранить эту проблему.
С уважением, Александр Сухарев.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Расширение Gnome Shell Dash to Panel добавляет интеллектуальное скрытие панели и настройку размеров превью открытых окон

Andrei
В ответ на это сообщение от Максим Пузырев
Спасибо, проверю.
Ответить | Древовидный
Открыть эту статью в виде дерева
|

Re: Расширение Gnome Shell Dash to Panel добавляет интеллектуальное скрытие панели и настройку размеров превью открытых окон

Админ
Администратор
В ответ на это сообщение от AlexandrS
AlexandrS, когда в терминале Вы видите следующее:
dpkg: ошибка при обработке пакета qt5-fsarchiver (--configure):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для libc-bin (2.24-11+deb9u2) …
При обработке следующих пакетов произошли ошибки:
 samba
 qt5-fsarchiver

Это значит, что устанавливаему пакету нужны зависимости. В этом случае нужно выполнить команду, которая подтягивает необходимые зависимости: sudo apt install -f
И ещё хотелось бы заметить, что в  Debian 9 устанавливаются стабильные пакеты из собственного репозитория Debian. И если Вы устанавливаете пакеты, допустим, из репоозиториев Ubuntu, то происходит то что в Вашем случае. Попросту система начинает косячить.
Debian использует стабильные пакеты дебиан - stable. А Ubuntu - unstable (нестабильные). В этом разница между Debian и Ubuntu.